uk.gov.hmrc.mongo.metrix

# MetricOrchestrator

###
Related Doc: package metrix

#### class MetricOrchestrator extends AnyRef

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MetricOrchestrator
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new MetricOrchestrator(metricSources: List[MetricSource], lockService: MongoLockService, metricRepository: MetricRepository, metricRegistry: MetricRegistry)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def attemptMetricRefresh(skipReportingFor: Option[(PersistedMetric) ⇒ Boolean] = None, resetToZeroFor: Option[(PersistedMetric) ⇒ Boolean] = None)(implicit ec: ExecutionContext): Future[MetricOrchestrationResult]

   Attempt to hold the mongo-lock to update the persisted metrics (only one node will be successful doing this at a time).

   Attempt to hold the mongo-lock to update the persisted metrics (only one node will be successful doing this at a time). Whether successful or not acquiring the lock, refresh the internal metric cache from the metrics persisted in the repository.

   skipReportingFor

     optional filter; set to true for any metric that should be ignored from the refresh

   resetToZeroFor

     optional filter; set to true for any metric that should be reset to zero during the refresh

   ec

     execution context

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### val metricCache: MetricCache

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

18. #### def toString(): String

    Definition Classes
      AnyRef → Any

19. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped